Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine
Interface HibernateIterator

All Superinterfaces:
  Iterator

All Known Implementing Classes:
  IteratorImpl

    public interface HibernateIterator

extends Iterator

Hibernate-specific iterator that may be closed

See Also:
  `Query.iterate()`, `Hibernate.close(java.util.Iterator)`

Method Summary
`void` | `close()` Close the Hibernate query result iterator

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### close

    void close()
               throws JDBCException

  Close the Hibernate query result iterator

  Throws:
    `JDBCException` - Indicates a problem releasing the underlying JDBC resources.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.